'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _cliEngineCommand = require('cli-engine-command');

var _cliEngineCommand2 = _interopRequireDefault(_cliEngineCommand);

var _plugins = require('../../plugins');

var _plugins2 = _interopRequireDefault(_plugins);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const cli = global.config ? global.config.bin : 'heroku';

class PluginsUninstall extends _cliEngineCommand2.default {

  async run() {
    this.plugins = new _plugins2.default(this.config);
    const [plugin] = this.argv;
    await this.plugins.uninstall(plugin);
  }
}
exports.default = PluginsUninstall;
PluginsUninstall.topic = 'plugins';
PluginsUninstall.command = 'uninstall';
PluginsUninstall.args = [{ name: 'plugin', description: 'plugin name to uninstall' }];
PluginsUninstall.aliases = ['plugins:unlink'];
PluginsUninstall.description = 'uninstalls or unlinks a plugin';
PluginsUninstall.help = `Example:
    $ ${cli} plugins:uninstall heroku-accounts
`;