'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.convertFlagsFromV5 = convertFlagsFromV5;

require('cli-engine-config');

var _cliEngineCommand = require('cli-engine-command');

function convertFlagsFromV5(flags) {
  if (!flags) return {};
  if (!Array.isArray(flags)) return flags;
  return flags.reduce((flags, flag) => {
    let opts = {
      char: flag.char,
      description: flag.description,
      hidden: flag.hidden,
      required: flag.required,
      optional: flag.optional,
      parse: flag.parse
    };
    Object.keys(opts).forEach(k => opts[k] === undefined && delete opts[k]);
    flags[flag.name] = flag.hasValue ? _cliEngineCommand.flags.string(opts) : _cliEngineCommand.flags.boolean(opts);
    return flags;
  }, {});
}